commons-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From s...@apache.org
Subject svn commit: r1515126 - /commons/proper/jci/trunk/core/src/test/java/org/apache/commons/jci/compilers/AbstractCompilerTestCase.java
Date Sun, 18 Aug 2013 14:57:03 GMT
Author: sebb
Date: Sun Aug 18 14:57:02 2013
New Revision: 1515126

URL: http://svn.apache.org/r1515126
Log:
Allow for testing with Java 1.7

Modified:
    commons/proper/jci/trunk/core/src/test/java/org/apache/commons/jci/compilers/AbstractCompilerTestCase.java

Modified: commons/proper/jci/trunk/core/src/test/java/org/apache/commons/jci/compilers/AbstractCompilerTestCase.java
URL: http://svn.apache.org/viewvc/commons/proper/jci/trunk/core/src/test/java/org/apache/commons/jci/compilers/AbstractCompilerTestCase.java?rev=1515126&r1=1515125&r2=1515126&view=diff
==============================================================================
--- commons/proper/jci/trunk/core/src/test/java/org/apache/commons/jci/compilers/AbstractCompilerTestCase.java
(original)
+++ commons/proper/jci/trunk/core/src/test/java/org/apache/commons/jci/compilers/AbstractCompilerTestCase.java
Sun Aug 18 14:57:02 2013
@@ -231,8 +231,8 @@ public abstract class AbstractCompilerTe
     public void testCrossReferenceCompilation() throws Exception {
       final String javaVersion = System.getProperty("java.version");
 
-      if (!(javaVersion.startsWith("1.5") || javaVersion.startsWith("1.6"))) {
-          System.err.println("WARNING! Skipping testCrossReferenceCompilation() because your
runtime does not support java 1.5+ yet");
+      if (!(javaVersion.startsWith("1.5") || javaVersion.startsWith("1.6") || javaVersion.startsWith("1.7")))
{
+          System.err.println("WARNING! Skipping testCrossReferenceCompilation() because your
runtime does not support java 1.5+ yet - version " + javaVersion);
           return;
       }
 



Mime
View raw message